0

I installed .deb from official site and checked all dependencies, but it still fails to launch. How can i fix it? Here is log:

keddad@hardpc:~$ gitkraken

(gitkraken:4637): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(gitkraken:4637): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(gitkraken:4637): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
Node started time: 1543211603684
libgnome-keyring.so.0: невозможно оÑкÑÑÑÑ ÑазделÑемÑй обÑекÑнÑй Ñайл: ÐÐµÑ Ñакого Ñайла или каÑалога
Error: libgnome-keyring.so.0: невозможно оÑкÑÑÑÑ ÑазделÑемÑй обÑекÑнÑй Ñайл: ÐÐµÑ Ñакого Ñайла или каÑалога
    at process.module.(anonymous function) [as dlopen] (ELECTRON_ASAR.js:166:20)
    at Object.Module._extensions..node (module.js:671:18)
    at Object.module.(anonymous function) [as .node] (ELECTRON_ASAR.js:180:18)
    at Module.load (module.js:561:32)
    at tryModuleLoad (module.js:504:12)
    at Function.Module._load (module.js:496:3)
    at Module.require (module.js:586:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/usr/share/gitkraken/resources/app.asar/node_modules/keytar/lib/keytar.js:4:12)
    at Object.<anonymous> (/usr/share/gitkraken/resources/app.asar/node_modules/keytar/lib/keytar.js:58:4)
1

Looks like libraries were missing, even though apt didn't say it. Simply

sudo apt install libgnome-keyring-common libgnome-keyring-dev
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.